[MacPorts] #57562: py-matplotlib-basemap 1.1.0_0 incompatible with matplotlib 3.0.1_0

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

[MacPorts] #57562: py-matplotlib-basemap 1.1.0_0 incompatible with matplotlib 3.0.1_0

MacPorts
#57562: py-matplotlib-basemap 1.1.0_0 incompatible with matplotlib 3.0.1_0
------------------------+-----------------------------------
 Reporter:  EJFielding  |      Owner:  (none)
     Type:  defect      |     Status:  new
 Priority:  Normal      |  Milestone:
Component:  ports       |    Version:  2.5.4
 Keywords:              |       Port:  py-matplotlib-basemap
------------------------+-----------------------------------
 The present version of matplotlib-basemap is trying to import something
 that seems to be no longer present in matplotlib. These are the versions
 that I have installed:
   {{{
 py36-matplotlib-basemap @1.1.0_0
 py36-matplotlib @3.0.1_0+cairo+webagg (active)
 }}}

 This is the last part of my error trace:
 {{{
     import mpl_toolkits.basemap as basemap
   File
 "/opt/local/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6
 /site-packages/mpl_toolkits/basemap/__init__.py", line 17, in <module>
     from matplotlib.cbook import is_scalar, dedent
 ImportError: cannot import name 'is_scalar'
 }}}

--
Ticket URL: <https://trac.macports.org/ticket/57562>
MacPorts <https://www.macports.org/>
Ports system for macOS
Reply | Threaded
Open this post in threaded view
|

Re: [MacPorts] #57562: py-matplotlib-basemap 1.1.0_0 incompatible with matplotlib 3.0.1_0

MacPorts
#57562: py-matplotlib-basemap 1.1.0_0 incompatible with matplotlib 3.0.1_0
------------------------------------+--------------------
  Reporter:  EJFielding             |      Owner:  (none)
      Type:  defect                 |     Status:  new
  Priority:  Normal                 |  Milestone:
 Component:  ports                  |    Version:  2.5.4
Resolution:                         |   Keywords:
      Port:  py-matplotlib-basemap  |
------------------------------------+--------------------

Comment (by EJFielding):

 I found this on the Basemap Github
 (https://github.com/matplotlib/basemap/issues/424). The issue was fixed in
 release 1.2.0 of Basemap.

--
Ticket URL: <https://trac.macports.org/ticket/57562#comment:1>
MacPorts <https://www.macports.org/>
Ports system for macOS
Reply | Threaded
Open this post in threaded view
|

Re: [MacPorts] #57562: py-matplotlib-basemap 1.1.0_0 incompatible with matplotlib 3.0.1_0

MacPorts
In reply to this post by MacPorts
#57562: py-matplotlib-basemap 1.1.0_0 incompatible with matplotlib 3.0.1_0
------------------------------------+--------------------
  Reporter:  EJFielding             |      Owner:  (none)
      Type:  defect                 |     Status:  new
  Priority:  Normal                 |  Milestone:
 Component:  ports                  |    Version:  2.5.4
Resolution:                         |   Keywords:
      Port:  py-matplotlib-basemap  |
------------------------------------+--------------------

Comment (by EJFielding):

 I don't see anybody listed as maintainer for the py36-matplotlib-basemap,
 so I don't know who to "cc:" on this. The py36-matplotlib port was updated
 to version 3.0.2_0, and the basemap module version 1.1.0 is still
 incompatible. One one of my Macs, I was able to activate the older version
 of py36-matplotlib, but on the other I already ran "port reclaim" and
 deleted it so I can't run my Python code that tries to import the basemap
 module. I tried a quick fix to the
 {{{
 /opt/local/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6
 /site-packages/mpl_toolkits/basemap/__init__.py
 }}}
 code by deleting the import of "is_scalar", but it then failed further
 down. It seems that the only fix is to update the Basemap code do 1.2.0 or
 later.

--
Ticket URL: <https://trac.macports.org/ticket/57562#comment:2>
MacPorts <https://www.macports.org/>
Ports system for macOS
Reply | Threaded
Open this post in threaded view
|

Re: [MacPorts] #57562: py-matplotlib-basemap 1.1.0_0 incompatible with matplotlib 3.0.1_0

MacPorts
In reply to this post by MacPorts
#57562: py-matplotlib-basemap 1.1.0_0 incompatible with matplotlib 3.0.1_0
------------------------------------+--------------------
  Reporter:  EJFielding             |      Owner:  (none)
      Type:  defect                 |     Status:  new
  Priority:  Normal                 |  Milestone:
 Component:  ports                  |    Version:  2.5.4
Resolution:                         |   Keywords:
      Port:  py-matplotlib-basemap  |
------------------------------------+--------------------

Comment (by reneeotten):

 hi Eric,

 it seems that your diagnosis is correct and that updating the port to
 1.2.0 fixes the issue. I updated the port in [https://github.com/macports
 /macports-ports/pull/3119 PR3119], it passes the tests and does not throw
 an error anymore when you import the package. Besides that I have no
 knowledge of the package and don't really know how to test anything else -
 but I hope this helps.

--
Ticket URL: <https://trac.macports.org/ticket/57562#comment:3>
MacPorts <https://www.macports.org/>
Ports system for macOS
Reply | Threaded
Open this post in threaded view
|

Re: [MacPorts] #57562: py-matplotlib-basemap 1.1.0_0 incompatible with matplotlib 3.0.1_0

MacPorts
In reply to this post by MacPorts
#57562: py-matplotlib-basemap 1.1.0_0 incompatible with matplotlib 3.0.1_0
-----------------------------------+---------------------------------------
  Reporter:  EJFielding            |      Owner:  reneeotten <reneeotten@…>
      Type:  defect                |     Status:  closed
  Priority:  Normal                |  Milestone:
 Component:  ports                 |    Version:  2.5.4
Resolution:  fixed                 |   Keywords:
      Port:  py-matplotlib-        |
  basemap                          |
-----------------------------------+---------------------------------------
Changes (by reneeotten <reneeotten@…>):

 * owner:  (none) => reneeotten <reneeotten@…>
 * status:  new => closed
 * resolution:   => fixed


Comment:

 In [changeset:"9385b63054fcddb8dfa47b0c206b9b374fd72247/macports-ports"
 9385b63054fcddb8dfa47b0c206b9b374fd72247/macports-ports] (master):
 {{{
 #!ConfigurableCommitTicketReference repository="macports-ports"
 revision="9385b63054fcddb8dfa47b0c206b9b374fd72247"
 py-matplotlib-basemap: update to 1.2.0

 - add py37 subport
 - update dependencies
 - enable tests

 Closes: https://trac.macports.org/ticket/57562
 }}}

--
Ticket URL: <https://trac.macports.org/ticket/57562#comment:4>
MacPorts <https://www.macports.org/>
Ports system for macOS
Reply | Threaded
Open this post in threaded view
|

Re: [MacPorts] #57562: py-matplotlib-basemap 1.1.0_0 incompatible with matplotlib 3.0.1_0

MacPorts
In reply to this post by MacPorts
#57562: py-matplotlib-basemap 1.1.0_0 incompatible with matplotlib 3.0.1_0
-----------------------------------+---------------------------------------
  Reporter:  EJFielding            |      Owner:  reneeotten <reneeotten@…>
      Type:  defect                |     Status:  closed
  Priority:  Normal                |  Milestone:
 Component:  ports                 |    Version:  2.5.4
Resolution:  fixed                 |   Keywords:
      Port:  py-matplotlib-        |
  basemap                          |
-----------------------------------+---------------------------------------

Comment (by EJFielding):

 Hi Renee,

 Thanks so much for the update of Basemap to 1.2. Now it works for me
 again.

--
Ticket URL: <https://trac.macports.org/ticket/57562#comment:5>
MacPorts <https://www.macports.org/>
Ports system for macOS